| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Fields
ble_lns_loc_speed_s Struct Reference
Location and Navigation Service

Location and Speed data structure. More...

`#include <ble_lns.h>`

## Data Fields
bool | instant_speed_present
bool | total_distance_present
bool | location_present
bool | elevation_present
bool | heading_present
bool | rolling_time_present
bool | utc_time_time_present
ble_lns_pos_status_type_t | position_status
ble_lns_speed_distance_format_t | data_format
ble_lns_elevation_source_t | elevation_source
ble_lns_heading_source_t | heading_source
uint16_t | instant_speed
uint32_t | total_distance
int32_t | latitude
int32_t | longitude
int32_t | elevation
uint16_t | heading
uint8_t | rolling_time
ble_date_time_t | utc_time

## Detailed Description

Location and Speed data structure.

## Field Documentation

ble_lns_speed_distance_format_t ble_lns_loc_speed_s::data_format

Format of data (either 2D or 3D).

int32_t ble_lns_loc_speed_s::elevation

Elevation (1/100 meters), size=24 bits.

bool ble_lns_loc_speed_s::elevation_present

Elevation present (0=not present, 1=present).

ble_lns_elevation_source_t ble_lns_loc_speed_s::elevation_source

Source of the elevation measurement.

uint16_t ble_lns_loc_speed_s::heading

Heading (1/100 degrees).

bool ble_lns_loc_speed_s::heading_present

Heading present (0=not present, 1=present).

ble_lns_heading_source_t ble_lns_loc_speed_s::heading_source

Source of the heading measurement.

uint16_t ble_lns_loc_speed_s::instant_speed

Instantaneous Speed (1/10 meter per sec).

bool ble_lns_loc_speed_s::instant_speed_present

Instantaneous Speed present (0=not present, 1=present).

int32_t ble_lns_loc_speed_s::latitude

Latitude (10e-7 degrees).

bool ble_lns_loc_speed_s::location_present

Location present (0=not present, 1=present).

int32_t ble_lns_loc_speed_s::longitude

Longitude (10e-7 degrees).

ble_lns_pos_status_type_t ble_lns_loc_speed_s::position_status

Status of current position

uint8_t ble_lns_loc_speed_s::rolling_time

Rolling Time (seconds).

bool ble_lns_loc_speed_s::rolling_time_present

Rolling Time present (0=not present, 1=present).

uint32_t ble_lns_loc_speed_s::total_distance

Total Distance (meters), size=24 bits.

bool ble_lns_loc_speed_s::total_distance_present

Total Distance present (0=not present, 1=present).

ble_date_time_t ble_lns_loc_speed_s::utc_time

UTC Time.

bool ble_lns_loc_speed_s::utc_time_time_present

UTC Time present (0=not present, 1=present).